
import Image from 'next/image';
import React, { useEffect, useRef, useState } from 'react';
import cn from 'classnames';
import SearchBar from '@/components/Top-Level/Searchbar/SearchBar';
import Newspaper from '@/public/Icons/icons-newspaper.svg'
import {Moon,Sun} from "@/utils/icons";
import menu from "@/public/Icons/icons-menu.svg"
interface HeaderProps {
    onSearch: (name: string) => void;
    onChangeTheme: () => string;
}
const Navigation: React.FC<HeaderProps> = ({ onSearch,onChangeTheme }) => {
    const [isOPen, setisOPen] = useState(false);

    return (
        <React.Fragment>
    <div className="w-full justify-between flex items-center shadow-md p-4 sticky dark:bg-[black] dark:*:text-white">
        <div className='flex gap-2 items-center'>
            <Image src={Newspaper} height={40} width={40} alt="Newspaper" />
            <h1 className='font-semibold text-2xl'>NewsBlog</h1>
        </div>
        <div className="hidden md:block min-w-[400px]">
                <SearchBar placeholder='Discover news, articles, and more' className={'font-semibold'} onSearch={onSearch} />
        </div>
                <div className='hidden md:block'>
                    <Sun handleClick={onChangeTheme}/>
                    <Moon handleClick={onChangeTheme}/>
                    
                </div>
        <div className='block md:hidden w-[40px] h-[40px] rounded-md p-2 bg-primary cursor-pointer' onClick={()=>setisOPen(!isOPen)}>
                <Image src={menu} alt='' className='w-full h-full'/>
        </div>
         
        </div>
            <div className={cn('h-0 overflow-hidden md:hidden transition-all duration-100 ease-in-out container bg-white ', {
            'h-[auto] py-2 min-w-full':isOPen
        })} >
                <SearchBar placeholder='Discover news, articles, and more' className={'font-semibold'} onSearch={onSearch} />
        </div>
        </React.Fragment>
    );
}
 
export default Navigation;